%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:		drumstick
Summary:	C++/Qt5 wrapper around the ALSA library sequencer interface
Version:	1.0.0
Release:	%mkrel 1
Group:		System/Libraries
License:	GPLv2+
URL:		http://drumstick.sourceforge.net/
Source0:	http://downloads.sourceforge.net/project/drumstick/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:	cmake
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
# to build the manpages
BuildRequires:	docbook-style-xsl
BuildRequires:	xsltproc
BuildRequires:	shared-mime-info

%description
The drumstick library is a C++ wrapper around the ALSA library sequencer
interface, using Qt5 objects, idioms and style. The ALSA sequencer interface
provides software support for MIDI technology on GNU/Linux.

#----------------------------------------------------------------------

%package -n	%{libname}
Summary:	C++/Qt5 wrapper around the ALSA library sequencer interface
Group:		System/Libraries
Obsoletes:	%{name} < 0.5.0-7
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
The drumstick library is a C++ wrapper around the ALSA library sequencer
interface, using Qt5 objects, idioms and style. The ALSA sequencer interface
provides software support for MIDI technology on GNU/Linux.

%files -n	%{libname}
%doc ChangeLog COPYING
%{_datadir}/mime/packages/%{name}.xml
%{_libdir}/libdrumstick-*.so.%{major}*
%{_libdir}/%{name}/

#----------------------------------------------------------------------

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/C++
Obsoletes:	%{name}-devel < 0.5.0-7
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{devname}
This package contains development libraries and headers for %{name}.

%files -n	%{devname}
%{_libdir}/lib%{name}-*.so
%{_libdir}/pkgconfig/%{name}-*.pc
%{_includedir}/%{name}/
%{_includedir}/%{name}.h

#----------------------------------------------------------------------

%package	examples
Summary:	Example programs for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}

%description	examples
This package contains the test/example programs for %{name}.

%files		examples
%{_bindir}/%{name}-*
%{_datadir}/applications/%{name}-*.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}-*

#----------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}

%build
%cmake_qt5
%make

%install
%makeinstall_std -C build


%changelog
* Sat Jan 10 2015 akien <akien> 1.0.0-1.mga5
+ Revision: 809743
- Version 1.0.0
  o Now based on Qt5
  o New drumstick-rt lib
- Proper libification

* Wed Oct 15 2014 umeabot <umeabot> 0.5.0-6.mga5
+ Revision: 741005
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.0-5.mga5
+ Revision: 678865
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5.0-4.mga4
+ Revision: 503993
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.5.0-3.mga3
+ Revision: 349120
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 27 2012 sander85 <sander85> 0.5.0-2.mga3
+ Revision: 298695
- Fix build

* Thu Apr 07 2011 ennael <ennael> 0.5.0-1.mga1
+ Revision: 81962
- add missing build require
- clean spec file

  + ahmad <ahmad>
    - imported package drumstick


* Fri Sep 10 2010 Funda Wang <fwang@mandriva.org> 0.5.0-1mdv2011.0
+ Revision: 577123
- update to new version 0.5.0

* Tue Aug 03 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.4.1-1mdv2011.0
+ Revision: 565192
- update to 0.4.1
- add BR, docbook-dtd45-xml and xsltproc to build the manpages

* Mon Apr 26 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.1-1mdv2010.1
+ Revision: 539293
- new release, 0.3.1

* Mon Mar 15 2010 Funda Wang <fwang@mandriva.org> 0.3.0-1mdv2010.1
+ Revision: 519781
- new version 0.3.0

* Mon Feb 22 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.2.99-0.svn.1mdv2010.1
+ Revision: 509374
- fix spec
- Import drumstick for kmid2 (based on Fedora spec


